<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/layout/template.xhtml">

    <ui:define name="content">
        <p:staticMessage id="ZamError" severity="error" summary="ERROR"
                         detail="ZAM files was not found they may not be send by the manager" style="width: 100%;"
                         rendered="#{hl7ManagerBean.checkZamFiles()}"/>

        <div>
            <h1> ANS-HL7V2-SIMULATOR-Gestionnaire</h1>
        </div>
        <h:form>
            <div class="grid">


                <div class="col-6">
                    <p:card>
                        <h2 style="margin-top:0">Informations de la configuration UTF-8 </h2>

                        <p:panelGrid columns="2" layout="grid" styleClass="showcase-text-align-center">


                            <h:outputText value="Host:"/>
                            <h:outputText value="#{hl7ManagerBean.getConfigurationServerUTF8().getHost()}"/>

                            <h:outputText value="Port:"/>
                            <h:outputText value="#{hl7ManagerBean.getConfigurationServerUTF8().getPort()}"/>

                            <h:outputText value="Receiving App:"/>
                            <h:outputText value="#{hl7ManagerBean.getConfigurationServerUTF8().getApplication()}"/>

                            <h:outputText value="Receiving Facility:"/>
                            <h:outputText
                                    value="#{hl7ManagerBean.getConfigurationServerUTF8().getFacility()}"/>

                            <h:outputText value="Status:"/>
                            <h:outputText value="#{hl7ManagerBean.getStatus()}"/>

                        </p:panelGrid>

                    </p:card>

                </div>

                <div class="col-6">
                    <p:card>
                        <h2 style="margin-top:0">Informations de la configuration I885915 </h2>

                        <p:panelGrid columns="2" layout="grid" styleClass="showcase-text-align-center">


                            <h:outputText value="Host:"/>
                            <h:outputText value="#{hl7ManagerBean.getConfigurationServerI885915().getHost()}"/>

                            <h:outputText value="Port:"/>
                            <h:outputText value="#{hl7ManagerBean.getConfigurationServerI885915().getPort()}"/>

                            <h:outputText value="Receiving App:"/>
                            <h:outputText value="#{hl7ManagerBean.getConfigurationServerI885915().getApplication()}"/>

                            <h:outputText value="Receiving Facility:"/>
                            <h:outputText
                                    value="#{hl7ManagerBean.getConfigurationServerI885915().getFacility()}"/>

                            <h:outputText value="Status:"/>
                            <h:outputText value="#{hl7ManagerBean.getStatus()}"/>

                        </p:panelGrid>


                    </p:card>


                </div>
                <p:commandButton rendered="#{getPrincipal.loggedIn and getPrincipal.admin}"
                                 value="#{hl7ManagerBean.labelActionServer()}" update="@(form)"
                                 action="#{hl7ManagerBean.switchListenMessages()}"
                                 styleClass="ui-button-secondary"/>


            </div>
        </h:form>

    </ui:define>

</ui:composition>
